diff --git a/doc/en/manpage.xml b/doc/en/manpage.xml
index 445deb2..e5f5137 100644
--- a/doc/en/manpage.xml
+++ b/doc/en/manpage.xml
@@ -489,7 +489,7 @@
 	    Packages</link></quote> in the &aptitude; reference
 	    manual).  Packages which are not currently installed may
 	    be installed to resolve dependencies unless the <link
-	    linkend='cmdlineOptionSafeUpgradeNoNewInstalls'><literal>--no-new-installs</literal></link>
+	    linkend='cmdlineOptionNoNewInstalls'><literal>--no-new-installs</literal></link>
 	    command-line option is supplied.
 	  </para>
 
@@ -1144,8 +1144,8 @@ i A texlive-latex-extra Conflicts textopo</screen>
 	    linkend='manpageSafeUpgrade'><literal>safe-upgrade</literal></link>,
 	    or <link
 	    linkend='configAlways-Use-Safe-Resolver'><literal>Aptitude::Always-Use-Safe-Resolver</literal></link>
-	    is set to <literal>true</literal>), prevent the dependency
-	    resolver from install upgrades for packages regardless of
+	    is set to <literal>true</literal>), allow the dependency
+	    resolver to install upgrades for packages regardless of
 	    the value of <link
 	    linkend='configSafe-Resolver-No-New-Upgrades'><literal>Aptitude::Safe-Resolver::No-New-Upgrades</literal></link>.
 	  </para>
@@ -1166,8 +1166,8 @@ i A texlive-latex-extra Conflicts textopo</screen>
 	    linkend='manpageSafeUpgrade'><literal>safe-upgrade</literal></link>,
 	    or <link
 	    linkend='configAlways-Use-Safe-Resolver'><literal>Aptitude::Always-Use-Safe-Resolver</literal></link>
-	    is set to <literal>true</literal>), prevent the dependency
-	    resolver from install new packages.  This option takes
+	    is set to <literal>true</literal>), allow the dependency
+	    resolver to install new packages.  This option takes
 	    effect regardless of the value of <link
 	    linkend='configSafe-Resolver-No-New-Installs'><literal>Aptitude::Safe-Resolver::No-New-Installs</literal></link>.
 	  </para>
@@ -1532,7 +1532,7 @@ libdbix-fulltextsearch-perl 0.73-10</screen>
 	</listitem>
       </varlistentry>
 
-      <varlistentry id='cmdlineOptionSafeUpgradeNoNewInstalls'>
+      <varlistentry id='cmdlineOptionNoNewInstalls'>
 	<term>
 	  <literal>--no-new-installs</literal>
 	</term>
@@ -1556,12 +1556,6 @@ libdbix-fulltextsearch-perl 0.73-10</screen>
 	    This mimics the historical behavior of <command>apt-get
 	    upgrade</command>.
 	  </para>
-
-	  <para>
-	    This corresponds to the configuration option
-	    <literal><link
-	    linkend='configCmdLine-Safe-Upgrade-No-New-Installs'>Aptitude::CmdLine::Safe-Upgrade::No-New-Installs</link></literal>.
-	  </para>
 	</listitem>
       </varlistentry>
 
@@ -1574,10 +1568,10 @@ libdbix-fulltextsearch-perl 0.73-10</screen>
 	    linkend='cmdlineSafeResolver'><literal>--safe-resolver</literal></link>
 	    was passed or <link
 	    linkend='configAlways-Use-Safe-Resolver'><literal>Aptitude::Always-Use-Safe-Resolver</literal></link>
-	    is set to <literal>true</literal>), allow the dependency
-	    resolver to install new packages regardless of the value
-	    of <link
-	    linkend='configSafe-Resolver-No-New-Upgrades'><literal>Aptitude::Safe-Resolver::No-New-Installs</literal></link>.
+	    is set to <literal>true</literal>), forbid the dependency
+	    resolver from installing upgrades for packages
+            regardless of the value of <link
+	    linkend='configSafe-Resolver-No-New-Upgrades'><literal>Aptitude::Safe-Resolver::No-New-Upgrades</literal></link>.
 	  </para>
 	</listitem>
       </varlistentry>
@@ -1913,6 +1907,17 @@ libdbix-fulltextsearch-perl 0.73-10</screen>
 	    resolver and by <link
 	    linkend='manpageSafeUpgrade'><literal>safe-upgrade</literal></link>.
 	  </para>
+
+	  <para>
+	    When executing the command <link
+	    linkend='manpageSafeUpgrade'><literal>safe-upgrade</literal></link>
+	    or when the option <link
+	    linkend='cmdlineSafeResolver'>--safe-resolver</link> is
+	    present, &aptitude; will display a summary of the actions
+	    performed by the resolver before printing the installation
+	    preview.  This is equivalent to the configuration option <link
+            linkend='configSafe-Resolver-Show-Resolver-Actions'><literal>Aptitude::Safe-Resolver::Show-Resolver-Actions</literal></link>.
+	  </para>
 	</listitem>
       </varlistentry>
 
@@ -2115,16 +2120,6 @@ Packages requiring libglib2.0-data:
 	    Display the version of &aptitude; and some information
 	    about how it was compiled.
 	  </para>
-
-	  <para>
-	    When executing the command <link
-	    linkend='manpageSafeUpgrade'><literal>safe-upgrade</literal></link>
-	    or when the option <link
-	    linkend='cmdlineSafeResolver'>--safe-resolver</link> is
-	    present, &aptitude; will display a summary of the actions
-	    performed by the resolver before printing the installation
-	    preview.  This is equivalent to the configuration options <link linkend='configCmdLine-Safe-Upgrade-Show-Resolver-Actions'><literal>Aptitude::CmdLine::Safe-Upgrade::Show-Resolver-Actions</literal></link> and <link linkend='configSafe-Resolver-Show-Resolver-Actions'><literal>Aptitude::Safe-Resolver::Show-Resolver-Actions</literal></link>.
-	  </para>
 	</listitem>
       </varlistentry>
 
